Subject: bug#621: zfsutils-linux: incompatible with OpenRC Init

From: Mark Hindley <[email-masked]>
Date: Wed, 20 Oct 2021 16:53:40 +0100

Thomas,

On Tue, Oct 19, 2021 at 06:59:16PM -0700, Thomas Groman wrote:
> Package: zfsutils-linux
> Version: 2.0.3-9
> Severity: normal
> 
> Dear Maintainer,
> 
> Upon installing the package zfs-dkms, which zfsutils-linux is a dependency of apt tries to
> uninstall openrc. There is no incompatibility upstream with ZFS so I don't understand why 
> it would be an incompatible option in Devuan.

I think you have missed the fact that zfsutils-linux/2.0.3-9[1] has an explicit

 Breaks: openrc

I think this explains the behaviour you have observed.

Devuan's zfs packages in chimaera come directly from debian without
recompilation, so you will need to discuss this further on Debian's BTS if you
think the dependencies are wrong.

Best wishes

Mark

[1]  https://pkginfo.devuan.org/cgi-bin/package-query.html?c=package&q=zfsutils-linux=2.0.3-9